
### Config.py

class_meta = {"datas": {}, "searchMeta": {"name": "qxfbkccx", "modelName": "Rw1", "appName": "kcbcx", "controls": [
		{"name": "KCH", "caption": "课程号", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "quickSearch": True},
		{"name": "KCM", "caption": "课程名", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "quickSearch": True},
		{"name": "KXH", "caption": "课序号", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String"},
		{"name": "KKDWDM", "caption": "开课单位", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "quickSearch": True,
		 "url": "\/jwapp\/code\/6513e6fc-24c5-4ca2-a8dd-656880e445eb.do", "search.xtype": "select",
		 "search.quickSearchXtype": "select", "xtype": "select"},
		{"name": "PKDWDM", "caption": "排课单位", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "url": "\/jwapp\/code\/a0b45ca1-6e08-4644-888a-ec42460100bb.do",
		 "search.xtype": "select", "xtype": "select", "hidden": True},
		{"name": "XS", "caption": "学时", "dataType": "double", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "search.hidden": True},
		{"name": "XF", "caption": "学分", "dataType": "double", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "search.hidden": True}, {"name": "SKJS", "caption": "上课教师", "dataType": "String", "defaultBuilder": "equal",
								  "builderList": "cbl_String", "quickSearch": True},
		{"name": "SKBJ", "caption": "上课班级", "dataType": "String", "defaultBuilder": "include",
		 "builderList": "cbl_String"},
		{"name": "YPSJDD", "caption": "已排时间地点", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "grid.hidden": True},
		{"name": "SKZCMC", "caption": "周次", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String"},
		{"name": "SKXQJC", "caption": "星期节次", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String"},
		{"name": "SKDD", "caption": "上课地点", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String"},
		{"name": "XXXQDM", "caption": "学校校区", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "url": "\/jwapp\/code\/8d6ab8e2-a877-4875-b7d7-a8580ae7d9da.do",
		 "search.hidden": False, "quickSearch": True, "search.quickSearchXtype": "select", "grid.hidden": False,
		 "xtype": "select", "hidden": True},
		{"name": "BY6", "caption": "备用6", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY5", "caption": "备用5", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY4", "caption": "备用4", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}, {"name": "WID", "caption": "数据的唯一标识", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "BY3", "caption": "备用3", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY2", "caption": "备用2", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY1", "caption": "备用1", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY7", "caption": "备用7", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY8", "caption": "备用8", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BY9", "caption": "备用9", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "RZLBDM", "caption": "任职类别代码，有的接口需要作为数据权限过滤的依据", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "ORDERFILTER", "caption": "接口被字典使用时需要使用这个字段传入排序方式，比如+PX,-WID等", "dataType": "String",
		 "defaultBuilder": "equal", "builderList": "cbl_String", "hidden": True},
		{"name": "BY10", "caption": "备用10", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "XKRWXZ", "caption": "选课任务限制", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFXYJAS", "caption": "是否需要教室", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "KYL", "caption": "课余量", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "XKXZSM", "caption": "选课限制说明", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "XNXQDM", "caption": "学年学期", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "ZDPKYY", "caption": "自动排课原因", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "NSXKRS", "caption": "男生选课人数", "dataType": "int", "defaultBuilder": "equal",
		 "builderList": "cbl_Other", "hidden": True},
		{"name": "JASLXDM", "caption": "教室类型代码", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "KSLXDM", "caption": "考试类型", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "PKPCDM", "caption": "排课批次", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SYXS", "caption": "实验学时", "dataType": "double", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "XKCLDM", "caption": "选课策略", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "SFKFXK", "caption": "是否开放选课", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "RWZTDM", "caption": "任务状态", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "TSKH", "caption": "同时课号", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFSZPKPC", "caption": "是否设置排课批次", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "PBSJXX", "caption": "屏蔽时间信息", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "KRL", "caption": "限选人数", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other"},
		{"name": "JXFSDM", "caption": "教学方式", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "NSRS", "caption": "男生人数", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "JSXX", "caption": "教师信息", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "SJIXS", "caption": "设计学时", "dataType": "double", "defaultBuilder": "equal",
		 "builderList": "cbl_Other", "hidden": True},
		{"name": "PKCTBJDM", "caption": "排课冲突标记", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFFB", "caption": "是否分班", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "JASDM", "caption": "教室代码", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFXZXB", "caption": "是否限制性别", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "PX", "caption": "排序", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "LRDWDM", "caption": "录入单位", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "NVSRS", "caption": "女生人数", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "NVSXKRS", "caption": "女生选课人数", "dataType": "int", "defaultBuilder": "equal",
						   "builderList": "cbl_Other", "hidden": True},
		{"name": "XKRWXZBJ", "caption": "选课任务限制班级", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "JXBMC", "caption": "教学班名称", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "ZXSXX", "caption": "周学时信息", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "ZDSJXX", "caption": "指定时间信息", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "NEWPKPCDM", "caption": "新排课批次代码", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "XKZRS", "caption": "选课总人数", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other"},
		{"name": "SFXZXK", "caption": "是否限制选课", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SJZDFSDM", "caption": "时间指定方式", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "PKZTDM", "caption": "排课状态", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "JASXQDM", "caption": "教室需求", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SJXS", "caption": "上机学时", "dataType": "double", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "XKKZH", "caption": "选课课组号", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "SKXS", "caption": "授课学时", "dataType": "double", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "KCXZDM", "caption": "课程性质代码", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "JXBID", "caption": "教学班ID", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "KNZXS", "caption": "课内周学时", "dataType": "double", "defaultBuilder": "equal",
		 "builderList": "cbl_Other", "hidden": True},
		{"name": "PPSJXX", "caption": "匹配时间信息", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "JCJG", "caption": "检查结果", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFCXB", "caption": "是否重修班", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFKXQ", "caption": "是否跨校区", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "BJDM", "caption": "班级代码", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "BJXX", "caption": "班级信息", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "KCLBDM", "caption": "课程类别", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_List", "url": "\/jwapp\/code\/b1dfdd2e-6df3-4e10-aced-9e40a669f56c.do",
		 "search.xtype": "select", "xtype": "select"},
		{"name": "SFXGXK", "caption": "是否校公选课", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_List", "quickSearch": True,
		 "url": "\/jwapp\/code\/7c04c6e1-04e8-47e4-8bf9-4e0299e08281.do", "search.xtype": "select",
		 "search.quickSearchXtype": "buttonlist", "xtype": "buttonlist"},
		{"name": "XGXKLBDM", "caption": "校公选课类别", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_List", "url": "\/jwapp\/code\/b3f52e0e-6ed7-4dfb-9c71-f8ef88fd1bed.do",
		 "search.xtype": "select", "search.quickSearchXtype": "select", "xtype": "select"},
		{"name": "PKSXDM", "caption": "排课属性", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "YPXS", "caption": "已排学时", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True}, {"name": "JXLDM", "caption": "教学楼代码", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "TLXS", "caption": "讨论学时", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SFXYPK", "caption": "是否需要安排", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "XKWZSM", "caption": "备注", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String"},
		{"name": "TYXMDM", "caption": "体育项目", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SKZC", "caption": "上课周次", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "quickSearch": True},
		{"name": "SKXQ", "caption": "上课星期", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "quickSearch": True, "hidden": True},
		{"name": "KSJC", "caption": "开始节次", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "quickSearch": True, "search.quickSearchXtype": "select", "xtype": "select",
		 "hidden": True, "search.hidden": False, "url": "\/jwapp\/code\/d603210e-5a72-40dd-9c47-b126d16b8fc9.do",
		 "search.xtype": "select"},
		{"name": "JSJC", "caption": "结束节次", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_List",
		 "quickSearch": True, "search.quickSearchXtype": "select", "xtype": "select", "hidden": True,
		 "search.hidden": False, "url": "\/jwapp\/code\/d603210e-5a72-40dd-9c47-b126d16b8fc9.do",
		 "search.xtype": "select"},
		{"name": "XFLBDM", "caption": "文理学分", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_List", "url": "\/jwapp\/code\/4f336f18-3768-4b8f-8236-92f104060fc4.do",
		 "search.xtype": "select", "xtype": "select"},
		{"name": "XKRS", "caption": "选课人数", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String"}], "builderLists": {
		"cbl_String": [{"name": "equal", "caption": "等于"}, {"name": "notEqual", "caption": "不等于"},
					   {"name": "include", "caption": "包含"}, {"name": "notInclude", "caption": "不包含"},
					   {"name": "beginWith", "caption": "以..开始"}, {"name": "endWith", "caption": "以..结束"},
					   {"name": "m_value_include", "caption": "多值包含"}, {"name": "m_value_equal", "caption": "多值相等"},
					   {"name": "m_value_not_include", "caption": "多值不包含"},
					   {"name": "m_value_not_equal", "caption": "多值不相等"}],
		"cbl_List": [{"name": "equal", "caption": "等于"}, {"name": "notEqual", "caption": "不等于"}],
		"cbl_Other": [{"name": "equal", "caption": "等于"}, {"name": "notEqual", "caption": "不等于"},
					  {"name": "more", "caption": "大于"}, {"name": "less", "caption": "小于"},
					  {"name": "moreEqual", "caption": "大于等于"}, {"name": "lessEqual", "caption": "小于等于"}]}},
	 "code": "0"}


fangan_meta = {"datas": {}, "searchMeta": {"name": "qxpyfacx", "modelName": "Fa", "appName": "qxfacx", "controls": [
		{"name": "WID", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}, {"name": "PYFAMC", "caption": "培养方案名称", "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "quickSearch": True, "col": 3, "required": True},
		{"name": "NJDM", "caption": "年级", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "quickSearch": True, "url": "\/jwapp\/code\/528f6869-3c24-4be5-be3b-8977cc9ec611.do", "col": 3,
		 "xtype": "select", "required": True},
		{"name": "DWDM", "caption": "院系", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "quickSearch": True, "url": "\/jwapp\/code\/49a86828-aef9-4a48-b26f-01149dac72d7.do", "col": 3,
		 "search.quickSearchXtype": "select", "xtype": "select", "required": True},
		{"name": "ZYDM", "caption": "专业", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "url": "\/jwapp\/code\/96fcb4ae-6891-4db5-a5b9-097d795d8d2a.do", "col": 3, "xtype": "select",
		 "required": True}, {"name": "ZYFXDM", "caption": "专业方向", "dataType": "String", "defaultBuilder": "equal",
							 "builderList": "cbl_String",
							 "url": "\/jwapp\/code\/3ad57f8d-86d6-4763-a10f-bf122cd6fb2f.do", "col": 3,
							 "xtype": "select", "required": True},
		{"name": "XDLXDM", "caption": "修读类型", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "url": "\/jwapp\/code\/caf5f0b8-ed42-4054-aeef-9d470c80e8a5.do", "col": 3,
		 "xtype": "select", "required": True},
		{"name": "XQLXDM", "caption": "学期类型", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "url": "\/jwapp\/code\/7918bffb-982f-41a0-832c-0358c3fb1abf.do", "col": 3,
		 "xtype": "select", "required": True},
		{"name": "XZNX", "caption": "学制", "dataType": "int", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "col": 3, "grid.hidden": True, "required": True},
		{"name": "XWDM", "caption": "学位", "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "url": "\/jwapp\/code\/16931619-c462-417a-b62b-a35cb8833cc1.do", "col": 3, "grid.hidden": True,
		 "xtype": "select", "required": True},
		{"name": "KSXNDM", "caption": "开始学年", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "url": "\/jwapp\/code\/b4768e62-7307-46d0-a3d3-162c98906b8d.do", "col": 3,
		 "xtype": "select", "required": True},
		{"name": "KSXQDM", "caption": "开始学期", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "url": "\/jwapp\/code\/e947dcb4-268b-456a-b63e-6773f02d6f19.do", "col": 3,
		 "xtype": "select", "required": True},
		{"name": "ZSYQXF", "caption": "最少要求学分", "dataType": "double", "defaultBuilder": "equal",
		 "builderList": "cbl_Other", "col": 3, "required": True},
		{"name": "PYMB", "caption": "培养目标", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "col": 3, "grid.hidden": True, "xtype": "textarea"},
		{"name": "XDYQ", "caption": "培养要求", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "col": 3, "grid.hidden": True, "xtype": "textarea"},
		{"name": "FATS", "caption": "核心知识领域", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "col": 3, "grid.hidden": True, "xtype": "textarea"},
		{"name": "ZGXK", "caption": "主干学科", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "col": 3, "grid.hidden": True, "xtype": "textarea"},
		{"name": "ZYZYSY", "caption": "主要专业实验", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "col": 3, "grid.hidden": True, "xtype": "textarea"},
		{"name": "ZGKC", "caption": "核心课程", "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "col": 3, "grid.hidden": True, "xtype": "textarea"},
		{"name": "PYFADM", "caption": None, "dataType": "String", "defaultBuilder": "equal",
		 "builderList": "cbl_String", "hidden": True},
		{"name": "SHR", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "SHYJ", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}, {"name": "XLCCDM", "caption": None, "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "CZR", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "BZ", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}, {"name": "FACCDM", "caption": None, "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "CZSJ", "caption": None, "dataType": "Timestamp", "defaultBuilder": "equal",
		 "builderList": "cbl_Other", "hidden": True},
		{"name": "CZIP", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "KZZD4", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "KZZD3", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "KZZD2", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "KZZD1", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "KZZD5", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "MBDM", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}, {"name": "SHSJ", "caption": None, "dataType": "Timestamp", "defaultBuilder": "equal",
						   "builderList": "cbl_Other", "hidden": True},
		{"name": "SFFB", "caption": None, "dataType": "double", "defaultBuilder": "equal", "builderList": "cbl_Other",
		 "hidden": True},
		{"name": "SHRXM", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "SHIP", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True},
		{"name": "CZRXM", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}, {"name": "FAZTDM", "caption": None, "dataType": "String", "defaultBuilder": "equal",
						   "builderList": "cbl_String", "hidden": True},
		{"name": "SLDM", "caption": None, "dataType": "String", "defaultBuilder": "equal", "builderList": "cbl_String",
		 "hidden": True}], "builderLists": {
		"cbl_String": [{"name": "equal", "caption": "等于"}, {"name": "notEqual", "caption": "不等于"},
					   {"name": "include", "caption": "包含"}, {"name": "notInclude", "caption": "不包含"},
					   {"name": "beginWith", "caption": "以..开始"}, {"name": "endWith", "caption": "以..结束"},
					   {"name": "m_value_include", "caption": "多值包含"}, {"name": "m_value_equal", "caption": "多值相等"},
					   {"name": "m_value_not_include", "caption": "多值不包含"},
					   {"name": "m_value_not_equal", "caption": "多值不相等"}],
		"cbl_Other": [{"name": "equal", "caption": "等于"}, {"name": "notEqual", "caption": "不等于"},
					  {"name": "more", "caption": "大于"}, {"name": "less", "caption": "小于"},
					  {"name": "moreEqual", "caption": "大于等于"}, {"name": "lessEqual", "caption": "小于等于"}]}},
	 "code": "0"}
